##
## Learning Vector Quantization Program Package
##
##    makefile for UNIX with SysV or GNU make utility
##
##    copy this file to the name makefile before executing the make command
##    if you are using GNU gmake, change the definition of $(STRANGE)
##
## version 2.1 October 1992
#*                                                                      *
#*  NOTE: This program package is copyrighted in the sense that it      *
#*  may be used for scientific purposes. The package as a whole, or     *
#*  parts thereof, cannot be included or used in any commercial         *
#*  application without written permission granted by its producents.   *
#*  No programs contained in this package may be copied for commercial  *
#*  distribution.                                                       *
#*                                                                      *
#*  All comments concerning this program package may be sent to the     *
#*  e-mail address 'lvq@cochlea.hut.fi'.                                *
#*                                                                      *

## platform specific definitions:

CC = cc
CFLAGS = -O
LDFLAGS =
LDLIBS = -lm

# the following is used with SysV make utility
STRANGE = $$@.c

# the following is used with GNU implementation of make (gmake)
#STRANGE = %: %.c

###

TARGETS = elimin balance mindist propinit eveninit  \
	  extract labels pick olvq1 lvq1 lvq2 lvq3  \
	  accuracy classify knntest setlabel sammon \
	  mcnemar lvq_run

ROUTINES = lvq_pak.o lvq_rout.o

HEADERS = lvq_pak.h

all : $(TARGETS)

.c.o : ; $(CC) $(CFLAGS) -c $*.c

.c : ; $(CC) $(CFLAGS) $(LDFLAGS) $@.c $(ROUTINES) $(LDLIBS) -o $@

$(ROUTINES) : $(HEADERS) makefile

$(TARGETS) : $(STRANGE) $(ROUTINES)
	$(CC) $(CFLAGS) $(LDFLAGS) $@.c $(ROUTINES) $(LDLIBS) -o $@

example :
	./eveninit -din ex1.dat -cout ex1e.cod -noc 200 -rand 1
	./mindist  -cin ex1e.cod
	./balance  -din ex1.dat -cin ex1e.cod -cout ex1b.cod -rand 1
	./olvq1    -din ex1.dat -cin ex1b.cod -cout ex1o.cod -rlen 5000 -rand 1
	./accuracy -din ex2.dat -cin ex1o.cod

